Skip to main content
GET
/
public
/
workspace
/
{workspaceId}
Get workspace
curl --request GET \
  --url https://api.userplane.com/api/v1/public/workspace/{workspaceId} \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "data": {
    "workspace": {
      "workspaceId": "<string>",
      "workspaceName": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  }
}
Returns details for a specific workspace. Requires the authenticated user to be an active member of the workspace.

Errors

Error codeStatusDescription
WORKSPACE_NOT_FOUND404Workspace does not exist
Also returns common authentication errors.

Get Invite URL

Retrieve the workspace invite URL

List Projects

Projects within this workspace

List Links

Recording links in this workspace

List Recordings

Recordings in this workspace

Authorizations

Authorization
string
header
required

API key with uspl_ prefix. Create keys at dash.userplane.io/_/account?tab=developers

Path Parameters

workspaceId
string
required
Minimum string length: 1

Response

OK

message
string
required
data
object
required